Subject: Re: bug#4592: Bug in built-in function substitute-in-file-name

From: Mosur Mohan <[email-masked]>
Date: Tue, 6 Oct 2009 15:58:04 -0700

Sorry, didn't notice your question earlier... yes, I will upgrade at
least to 22.3 (that is the latest version that our IT group has
installed internally). But I have quite a bit of customization, which
takes a while to transition, so it will probably be some time before I
can switch versions.  So, if I notice the bug before that happens,
maybe I can figure out what triggers it -- that's what I meant.

Thanks,
--
Mohan

On Sat, Oct 3, 2009 at 12:18 PM, Lennart Borgman
<[email-masked]> wrote:
> Why do you do that instead of upgrade to Emacs 23?
>
>
> On Sat, Oct 3, 2009 at 9:13 AM, Mosur Mohan <[email-masked]> wrote:
>> I was afraid you were gonna say that... :-) Unfortunately I haven't
>> been able to pin down the exact recipe; in the "good" session, I'm
>> still chugging along and the error hasn't occurred yet.
>>
>> Thanks for your help anyway!  If I figure out the recipe to trigger
>> this behavior, I will get in touch with you again.
>> --
>> Mohan
>>
>> On Fri, Oct 2, 2009 at 5:15 PM, Glenn Morris <[email-masked]> wrote:
>>> Mosur Mohan wrote:
>>>
>>>> I am running Emacs version 21.3 on a Linux x86_64 machine.
>>> [...]
>>>> After running for a while, I notice that filename completion starts
>>>> giving errors.  At this point, I re-try the above experiment:
>>>>     (substitute-in-file-name "/~/")
>>>> But now, I get:
>>>>     "/~/"
>>>
>>> Unfortunately, this seems a rather obscure problem, and Emacs 21 is
>>> quite old, so you are unlikely to get much help unless you can give a
>>> simple recipe showing how to get into this state (starting from emacs
>>> -q --no-site-file). In any case, I would recommend upgrading to Emacs 23.
>>>
>>
>>
>>
>>
>